﻿using System;
using System.Windows.Forms;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Document;
using GrapeCity.ActiveReports.SectionReportModel;
using GrapeCity.ActiveReports.Document.Section;
using GrapeCity.ActiveReports.Export.Pdf.Section;
using System.Xml;
using FebPrintClassLib.Rpt1;
using FebPrintClassLib.Rpt16;


namespace FebPrintClassLib
{
	internal static class ReportFunctions
	{

		#region LocalVariables

		private static Rpt1.Rpt01_A0p pdoc1_A0p = null;
		private static Rpt1.Rpt01_A0L pdoc1_A0L = null;
        private static Rpt1.Rpt01_A1L pdoc1_A1L = null;
        private static Rpt1.Rpt01_A1p pdoc1_A1p = null;
		private static Rpt1.Rpt01_A2L pdoc1_A2L = null;
		private static Rpt1.Rpt01_A2p pdoc1_A2p = null;
		private static Rpt1.Rpt01_A3L pdoc1_A3L = null;
		private static Rpt1.Rpt01_A3p pdoc1_A3p = null;
		private static Rpt1.Rpt01_A4L pdoc1_A4L = null;
		private static Rpt1.Rpt01_A4p pdoc1_A4p = null;

		private static Rpt2.Rpt02_A4L pdoc2_A4L = null;
		private static Rpt2.Rpt02_A3p pdoc2_A3p = null;

		private static Rpt7A4p pdoc7_A4p = null;
		private static Rpt6.Rpt06_A4p pdoc6_A4p = null;
		private static Rpt4.Rpt04_A4p pdoc4_A4p = null;
		private static Rpt5.Rpt05_A4L_A3p pdoc5_A4L = null;
		private static Rpt11.Rpt11_A4p pdoc11_A4p = null;
		private static Rpt12.Rpt12_A4p pdoc12_A4p = null;
		private static Rpt13.Rpt13_A4L pdoc13_A4L = null;
		private static Rpt14.Rpt14_A4p pdoc14_A4p = null;
		private static Rpt15.Rpt15_A4p pdoc15_A4p = null;
		private static Rpt16.Rpt16_A4p pdoc16_A4p = null;
		private static Rpt18.Rpt18_A4p pdoc18_A4p = null;
		private static Rpt19.Rpt19_A4L_A3p pdoc19_A4L_A3p = null;
		private static Rpt23.Rpt23_A4L_A3p pdoc23_A4L_A3p = null;
		private static Rpt29.Rpt29_A4p pdoc29_A4p = null;
		private static Rpt35.Rpt35_A4p pdoc35_A4p = null;
		private static Rpt27.Rpt27_A4p pdoc27_A4p = null;
		private static Rpt28.Rpt28_A4L pdoc28_A4L = null;
		private static Rpt24.Rpt24_A4p pdoc24_A4p = null;
		private static Rpt25.Rpt25_A4p pdoc25_A4p = null;
		private static Rpt26.Rpt26_A4p pdoc26_A4p = null;
		private static Rpt36.Rpt36_A4p pdoc36_A4p = null;
		private static Rpt39.Rpt39_A4p pdoc39_A4p = null;
		private static Rpt51.Rpt51_A4L pdoc51_A4L = null;
		private static Rpt52.Rpt52_A4p pdoc52_A4p = null;
		private static Rpt53.Rpt53_A4p pdoc53_A4p = null;
		private static Rpt54.Rpt54_A4p pdoc54_A4p = null;
		private static Rpt55.Rpt55_A4L pdoc55_A4L = null;
		private static Rpt57.Rpt57_A4L pdoc57_A4L = null;
		private static Rpt59.Rpt59_A4L pdoc59_A4L = null;
		private static Rpt60.Rpt60_A4L pdoc60_A4L = null;
		private static Rpt61.Rpt61_A4L pdoc61_A4L = null;
		private static Rpt63.Rpt63_A4L pdoc63_A4L = null;
		private static Rpt64.Rpt64_A4p pdoc64_A4p = null;
		private static Rpt65.Rpt65_A4L pdoc65_A4L = null;
		private static Rpt66.Rpt66_A4p pdoc66_A4p = null;
		private static Rpt67.Rpt67_A4L pdoc67_A4L = null;
		private static Rpt17.Rpt17_A4p pdoc17_A4p = null;
		private static Rpt21.Rpt21_A4p pdoc21_A4p = null;
		private static Rpt20.Rpt20_A4p pdoc20_A4p = null;
		private static Rpt37.Rpt37_A4p pdoc37_A4p = null;
		private static Rpt72.Rpt72_A4p pdoc72_A4p = null;
		private static Rpt73.Rpt73_A4L pdoc73_A4L = null;
		private static Rpt74.Rpt74_A4p pdoc74_A4p = null;
		private static Rpt75.Rpt75_A4L pdoc75_A4L = null;
		private static Rpt76.Rpt76_A4p pdoc76_A4p = null;

		//ECA Rpt
		//private readonly Rpt_ECA.Rpt_Eca1 pdoc_Eca1 = null;
		//private readonly Rpt_ECA.Rpt_Eca2 pdoc_Eca2 = null;
		//private readonly Rpt_ECA.Rpt_Eca3L pdoc_Eca3 = null;
		//private readonly Rpt_ECA.Rpt_Eca4 pdoc_Eca4 = null;
		private static Rpt_ECA.Rpt_Eca pdoc_Eca = null;

		//Elecsa Rpt
		private static Rpt_Elecsa.Rpt_Elecsa pdoc_Elecsa = null;

		//ECA New
		//private readonly Rpt_EcaNew.Rpt_EcaNew1 pdoc_EcaNew1 = null;
		//private readonly Rpt_EcaNew.Rpt_EcaNew2 pdoc_EcaNew2 = null;
		//private readonly Rpt_EcaNew.Rpt_EcaNew3L pdoc_EcaNew3 = null;
		//private Rpt_EcaNew.Rpt_Eca4 pdoc_Eca4 = null;
		private static Rpt_EcaNew.RptEcaNew pdoc_EcaNew = null;

		#endregion


		#region PublicProperties
		public static string strXmlFile
		{ get; set; }

		//public int iLanguage
		//{ get; set; }

		public static int iRptNo
		{ get; set; }

		internal static FebPrint.PrintOrientation PrintOrientation
		{ get; set; }

		internal static FebPrint.PrintFormat PrintFormat
		{ get; set; }

        public static RptInit.Init pDoc
        { get; set; }
        //public static SectionReport pDoc
        //{ get; set; }

		public static string strRappName
		{ get; set; }

        public static string strRappnameInfo
        { get; set; }

        public static int iStartPage
		{ get; set; }

		public static XmlWriter writer
		{ get; set; }

		internal static bool bMultiRpt
		{ get; set; }

		#endregion

		#region Functions

		public static void SetPageSettings()
		{
			//GrapeCity.ActiveReports.SystemPrinter printer = new GrapeCity.ActiveReports.SystemPrinter();

			//MessageBox.Show( printer.PaperHeight.ToString());
			//printer.PrintDialog();

			try
			{
				switch (PrintFormat)
				{
					case FebPrint.PrintFormat.A4: //A4
                        pDoc.PageSettings.PaperKind = System.Drawing.Printing.PaperKind.Custom;//.A4;
                        pDoc.PageSettings.PaperHeight = SectionReport.CmToInch(29.7F);
                        pDoc.PageSettings.PaperWidth = SectionReport.CmToInch(21.0F);
                        pDoc.Document.Printer.PaperSize = new System.Drawing.Printing.PaperSize("A4", 
                            (int)SectionReport.CmToInch(21.0F), (int)SectionReport.CmToInch(29.7F));

                        if (PrintOrientation == FebPrint.PrintOrientation.Landscape)
						{
							pDoc.PrintWidth = SectionReport.CmToInch(27.56F);
                            pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(2.0F);
                        }
						else
						{
							pDoc.PrintWidth = SectionReport.CmToInch(17.82F);
                            pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(2.0F);
                            pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(1.0F);
                        }
						break;
					case FebPrint.PrintFormat.A3: // A3
                        pDoc.PageSettings.PaperHeight = SectionReport.CmToInch(42.0F);
                        pDoc.PageSettings.PaperWidth = SectionReport.CmToInch(29.7F);
                        pDoc.PageSettings.PaperKind = System.Drawing.Printing.PaperKind.Custom;//.Custom;//.A3;
                        pDoc.Document.Printer.PaperSize = new System.Drawing.Printing.PaperSize("A3", (int)SectionReport.CmToInch(29.7F), (int)SectionReport.CmToInch(42.0F));

                        if (PrintOrientation == FebPrint.PrintOrientation.Landscape)
						{
                            pDoc.PageSettings.Orientation = GrapeCity.ActiveReports.Document.Section.PageOrientation.Landscape;
                            pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(2.0F);
                            pDoc.PrintWidth = SectionReport.CmToInch(39.89F);
						}
						else
						{
                            pDoc.PageSettings.Orientation = GrapeCity.ActiveReports.Document.Section.PageOrientation.Portrait;
                            pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(2.0F);
                            pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(1.0F);
                            pDoc.PrintWidth = SectionReport.CmToInch(26.55F);
						}
						break;
					case FebPrint.PrintFormat.A2:// A2
                        pDoc.PageSettings.PaperHeight = SectionReport.CmToInch(59.4F);
                        pDoc.PageSettings.PaperWidth = SectionReport.CmToInch(42.0F);
                        pDoc.PageSettings.PaperKind = System.Drawing.Printing.PaperKind.Custom;//.A2;
                        pDoc.Document.Printer.PaperSize = new System.Drawing.Printing.PaperSize("A2", (int)SectionReport.CmToInch(42.0F), (int)SectionReport.CmToInch(59.4F));

                        if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
						{
                            pDoc.PageSettings.Orientation = PageOrientation.Landscape;
                            pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(2.0F);
                            pDoc.PrintWidth = SectionReport.CmToInch(57.2F);
						}
						else
						{
                            pDoc.PageSettings.Orientation = PageOrientation.Portrait;
                            pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(2.0F);
                            pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);
                            pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(1.0F);
                            pDoc.PrintWidth = SectionReport.CmToInch(38.9F);
						}
						break;
					case FebPrint.PrintFormat.A1: //A1
						pDoc.PageSettings.PaperHeight = SectionReport.CmToInch(84.1F);
						pDoc.PageSettings.PaperWidth = SectionReport.CmToInch(59.4F);
						pDoc.PageSettings.PaperKind = System.Drawing.Printing.PaperKind.Custom;
						pDoc.Document.Printer.PaperSize = new System.Drawing.Printing.PaperSize("A1", (int)SectionReport.CmToInch(59.4F), (int)SectionReport.CmToInch(84.1F));
						//pDoc.PageSettings.DefaultPaperSize = false;

						if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
						{
							pDoc.PageSettings.Orientation = PageOrientation.Landscape;
							pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);//0.3937008F;
							pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(1.0F);//0.7874016F;
							pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);//0.3937008F;
							pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(2.0F);//0.3937008F;
							pDoc.PrintWidth = SectionReport.CmToInch(81.99F);
						}
						else
						{
							pDoc.PageSettings.Orientation = PageOrientation.Portrait;
							pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);//0.3937008F;
							pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(2.0F);//0.7874016F;
							pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);//0.3937008F;
							pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(1.0F);//0.3937008F;
							pDoc.PrintWidth = SectionReport.CmToInch(56.3F);
						}
						break;
					case FebPrint.PrintFormat.A0: //A0
						pDoc.PageSettings.PaperHeight = SectionReport.CmToInch(118.9F);
						pDoc.PageSettings.PaperWidth = SectionReport.CmToInch(84.1F);
						pDoc.PageSettings.PaperKind = System.Drawing.Printing.PaperKind.Custom;
						pDoc.Document.Printer.PaperSize = new System.Drawing.Printing.PaperSize("A0", (int)SectionReport.CmToInch(84.10F), (int)SectionReport.CmToInch(118.9F));

						if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
						{
							pDoc.PageSettings.Orientation = PageOrientation.Landscape;
							pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
							pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(0.8F);
							pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(0.8F);
							pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(2.0F);
							pDoc.PrintWidth = SectionReport.CmToInch(116.6F);
						}
						else
						{
							pDoc.PageSettings.Orientation = PageOrientation.Portrait;
							pDoc.PageSettings.Margins.Bottom = SectionReport.CmToInch(1.0F);
							pDoc.PageSettings.Margins.Left = SectionReport.CmToInch(2.0F);
							pDoc.PageSettings.Margins.Right = SectionReport.CmToInch(1.0F);
							pDoc.PageSettings.Margins.Top = SectionReport.CmToInch(1.0F);
							pDoc.PrintWidth = SectionReport.CmToInch(80.65F);
						}
						break;

				}
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
			//if (iFormat == 0) // Portrait
			//0 = A4
			//1 = A3
			//2 = A2
			//3 = A1
			//4 = A0



		}

		public static void SetRptXmlFile()
		{
			switch (iRptNo)
			{
				case 1:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type01.xml";
					break;
				case 2:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type02.xml";
					break;
				case 4:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type04.xml";
					break;
				case 5:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type05.xml";
					break;
				case 6:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type06.xml";
					break;
				case 7:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type07.xml";
					break;
				case 8:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type08.xml";
					break;
				case 11:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type11.xml";
					break;
				case 12:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type11.xml";
					break;
				case 13:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type11.xml";
					break;
				case 14:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type14.xml";
					break;
				case 15:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
					break;
				case 16:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type16.xml";
					break;
				case 17:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type17.xml";
					break;
				case 18:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type18.xml";
					break;
				case 19:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type19.xml";
					break;
				case 20:
					strXmlFile = "";
					break;
				case 21:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type21.xml";
					break;
				case 23:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type23.xml";
					break;
				case 24:
				case 25:
				case 26:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
					break;
				case 27:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type27.xml";
					break;
				case 28:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type28.xml";
					break;
				case 29:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type29.xml";
					break;
				case 30:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type30.xml";
					break;
				case 31:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type31.xml";
					break;
				case 32:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type32.xml";
					break;
				case 33:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type33.xml";
					break;
				case 34:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type34.xml";
					break;
				case 35:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type35.xml";
					break;
				case 36:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
					break;
				case 37:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type37.xml";
					break;
				case 39:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
					break;
				case 51:
				case 52:
				case 53:
				case 54:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type51.xml";
					break;
				case 55:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type55.xml";
					break;
				case 57:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type57.xml";
					break;
				case 59:
				case 60:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type59.xml";
					break;
				case 61:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type61.xml";
					break;
				case 63:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type63.xml";
					break;
				case 64:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type64.xml";
					break;
				case 65:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type65.xml";
					break;
				case 66:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type66.xml";
					break;
				case 67:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type67.xml";
					break;
				case 68:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";
					break;
				case 69:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type69.xml";
					break;
				case 70:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type70.xml";
					break;
				case 72:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type72.xml";
					break;
				case 73:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type73.xml";
					break;
				case 74:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type74.xml";
					break;
				case 75:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type75.xml";
					break;
				case 76:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type76.xml";
					break;
				case 77:
					strXmlFile = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type77.xml";
					break;
				default:
					strXmlFile = "";
					break;
			}


		}

		public static void ExecuteRptItem()
		{
			switch (iRptNo)
			{

				case 1: //Hovedkursskjema
					strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_1;
					switch (PrintFormat)
					{
						case FebPrint.PrintFormat.A4:
							if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
							{
								pdoc1_A4L = new Rpt01_A4L();
								pdoc1_A4L.Document.Name = strRappName;
								pdoc1_A4L.strXmlFile = strXmlFile;
								pdoc1_A4L.iStartPage = iStartPage;
								pdoc1_A4L.bMultiRpt = bMultiRpt;
                                pdoc1_A4L.Document.CacheToDisk = true;
                                pdoc1_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();
                                //this.viewer1.Document = pdoc1_A4L.Document;
                                try
                                {
                                    pdoc1_A4L.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A4L.Dispose();
                                    pdoc1_A4L = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A4L.Document.Pages.Count; i++)
								{
									//pdoc1_A4L.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A4L.Document.Pages[i]);
								}

								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A4L.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A4L.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
								pdoc1_A4L = null;

							}
							else if (PrintOrientation == FebPrint.PrintOrientation.Portrait) // Portrait
							{
								pdoc1_A4p = new Rpt01_A4p();
								pdoc1_A4p.Document.Name = strRappName;
								pdoc1_A4p.strXmlFile = strXmlFile;
								pdoc1_A4p.iStartPage = iStartPage;
								pdoc1_A4p.bMultiRpt = bMultiRpt;

                                pdoc1_A4p.Document.CacheToDisk = true;
                                pdoc1_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A4p.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A4p.Dispose();
                                    pdoc1_A4p = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A4p.Document.Pages.Count; i++)
								{
									//pdoc1_A4p.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A4p.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A4p.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A4p.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A4p = null;
								//pdoc1_A4p.Document.Print(true, true);
								//this.viewer1.Document = pdoc1_A4p.Document;
							}
							break;
						case FebPrint.PrintFormat.A3:
							if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
							{
								pdoc1_A3L = new Rpt01_A3L();
								pdoc1_A3L.Document.Name = strRappName;
								pdoc1_A3L.strXmlFile = strXmlFile;
								pdoc1_A3L.iStartPage = iStartPage;
								pdoc1_A3L.bMultiRpt = bMultiRpt;
                                //this.viewer1.Document = pdoc1_A3L.Document;
                                pdoc1_A3L.Document.CacheToDisk = true;
                                pdoc1_A3L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A3L.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A3L.Dispose();
                                    pdoc1_A3L = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);


								for (int i = 0; i < pdoc1_A3L.Document.Pages.Count; i++)
								{
									//pdoc1_A3L.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A3L.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A3L.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A3L.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A3L = null;

							}
							else if (PrintOrientation == FebPrint.PrintOrientation.Portrait) // Portrait
							{
								pdoc1_A3p = new Rpt01_A3p();
								pdoc1_A3p.Document.Name = strRappName;
								pdoc1_A3p.strXmlFile = strXmlFile;
								pdoc1_A3p.iStartPage = iStartPage;
								pdoc1_A3p.bMultiRpt = bMultiRpt;

                                pdoc1_A3p.Document.CacheToDisk = true;
                                pdoc1_A3p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A3p.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A3p.Dispose();
                                    pdoc1_A3p = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A3p.Document.Pages.Count; i++)
								{
									//pdoc1_A3p.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A3p.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A3p.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A3p.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A3p = null;

							}
							break;
						case FebPrint.PrintFormat.A2:
							if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
							{
								pdoc1_A2L = new Rpt01_A2L();
								pdoc1_A2L.Document.Name = strRappName;
								pdoc1_A2L.strXmlFile = strXmlFile;
								pdoc1_A2L.iStartPage = iStartPage;
								pdoc1_A2L.bMultiRpt = bMultiRpt;

                                pdoc1_A2L.Document.CacheToDisk = true;
                                pdoc1_A2L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A2L.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A2L.Dispose();
                                    pdoc1_A2L = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A2L.Document.Pages.Count; i++)
								{
									//pdoc1_A2L.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A2L.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A2L.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A2L.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A2L = null;

							}
							else if (PrintOrientation == FebPrint.PrintOrientation.Portrait) // Portrait
							{
								pdoc1_A2p = new Rpt01_A2p();
								pdoc1_A2p.Document.Name = strRappName;
								pdoc1_A2p.strXmlFile = strXmlFile;
								pdoc1_A2p.iStartPage = iStartPage;
								pdoc1_A2p.bMultiRpt = bMultiRpt;

                                pdoc1_A2p.Document.CacheToDisk = true;
                                pdoc1_A2p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A2p.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A2p.Dispose();
                                    pdoc1_A2p = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A2p.Document.Pages.Count; i++)
								{
									//pdoc1_A2p.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A2p.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A2p.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A2p.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A2p = null;

							}
							break;
						case FebPrint.PrintFormat.A1:
							if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
							{
								pdoc1_A1L = new Rpt01_A1L();
								pdoc1_A1L.Document.Name = strRappName;
								pdoc1_A1L.strXmlFile = strXmlFile;
								pdoc1_A1L.iStartPage = iStartPage;
								pdoc1_A1L.bMultiRpt = bMultiRpt;


                                pdoc1_A1L.Document.CacheToDisk = true;
                                pdoc1_A1L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A1L.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A1L.Dispose();
                                    pdoc1_A1L = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A1L.Document.Pages.Count; i++)
								{
									//pdoc1_A1L.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A1L.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A1L.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A1L.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A1L = null;

							}
							else if (PrintOrientation == FebPrint.PrintOrientation.Portrait) // Portrait
							{
								pdoc1_A1p = new Rpt01_A1p();
								pdoc1_A1p.Document.Name = strRappName;
								pdoc1_A1p.strXmlFile = strXmlFile;
								pdoc1_A1p.iStartPage = iStartPage;
								pdoc1_A1p.bMultiRpt = bMultiRpt;

                                pdoc1_A1p.Document.CacheToDisk = true;
                                pdoc1_A1p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A1p.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A1p.Dispose();
                                    pdoc1_A1p = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A1p.Document.Pages.Count; i++)
								{
									//pdoc1_A1p.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A1p.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A1p.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A1p.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A1p = null;
							}
							break;
						case FebPrint.PrintFormat.A0:
							if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
							{
								pdoc1_A0L = new Rpt01_A0L();
								pdoc1_A0L.Document.Name = strRappName;
								pdoc1_A0L.strXmlFile = strXmlFile;
								pdoc1_A0L.iStartPage = iStartPage;
								pdoc1_A0L.bMultiRpt = bMultiRpt;

                                pdoc1_A0L.Document.CacheToDisk = true;
                                pdoc1_A0L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A0L.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A0L.Dispose();
                                    pdoc1_A0L = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A0L.Document.Pages.Count; i++)
								{
									//pdoc1_A0L.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A0L.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A0L.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A0L.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A0L = null;
							}
							else if (PrintOrientation == FebPrint.PrintOrientation.Portrait) // Portrait
							{
								pdoc1_A0p = new Rpt01_A0p();
								pdoc1_A0p.Document.Name = strRappName;
								pdoc1_A0p.strXmlFile = strXmlFile;
								pdoc1_A0p.iStartPage = iStartPage;
								pdoc1_A0p.bMultiRpt = bMultiRpt;

                                pdoc1_A0p.Document.CacheToDisk = true;
                                pdoc1_A0p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc1_A0p.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt1", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc1_A0p.Dispose();
                                    pdoc1_A0p = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc1_A0p.Document.Pages.Count; i++)
								{
									//pdoc1_A0p.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc1_A0p.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc1_A0p.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc1_A0p.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc1_A0p = null;
							}
							break;
					}
					//this.Text += " " + strRappName;
					break;

				case 2: //Fordelingskjema

					//xml12 = "";

					strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_2;
					//xml12 = System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type02.xml";


					switch (PrintFormat)
					{
						case FebPrint.PrintFormat.A4: //A4
							if (PrintOrientation == FebPrint.PrintOrientation.Landscape) // Landscape
							{
								pdoc2_A4L = new Rpt2.Rpt02_A4L();
								pdoc2_A4L.Document.Name = strRappName;
								pdoc2_A4L.strXmlFile = strXmlFile;
								pdoc2_A4L.iStartPage = iStartPage;
								pdoc2_A4L.bMultiRpt = bMultiRpt;

                                pdoc2_A4L.Document.CacheToDisk = true;
                                pdoc2_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                                try
                                {
                                    pdoc2_A4L.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt2", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc2_A4L.Dispose();
                                    pdoc2_A4L = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc2_A4L.Document.Pages.Count; i++)
								{
									//pdoc1_A4L.Document.Pages[i].Bookmarks.Clear();
									pDoc.Document.Pages.Add(pdoc2_A4L.Document.Pages[i]);
								}

								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc2_A4L.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc2_A4L.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc2_A4L = null;

							}

							break;
						case FebPrint.PrintFormat.A3: //A3
							if (PrintOrientation == FebPrint.PrintOrientation.Portrait) // Portrait
							{
								pdoc2_A3p = new Rpt2.Rpt02_A3p();
								pdoc2_A3p.Document.Name = strRappName;
								pdoc2_A3p.strXmlFile = strXmlFile;
								pdoc2_A3p.iStartPage = iStartPage;
								pdoc2_A3p.bMultiRpt = bMultiRpt;

                                pdoc2_A3p.Document.CacheToDisk = true;
                                pdoc2_A3p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();


                                try
                                {
                                    pdoc2_A3p.Run(true);
                                }
                                catch (Exception err)
                                {
                                    MessageBox.Show(err.Message, "Rpt2", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                    pdoc2_A3p.Dispose();
                                    pdoc2_A3p = null;
                                    throw;
                                }

								Bookmark bk = new Bookmark();

								bk.Label = strRappnameInfo;
								bk.PageNumber = iStartPage;
								pDoc.Document.Bookmarks.Add(bk);

								for (int i = 0; i < pdoc2_A3p.Document.Pages.Count; i++)
								{
									pDoc.Document.Pages.Add(pdoc2_A3p.Document.Pages[i]);
								}
								writer.WriteStartElement("pDoc");
								writer.WriteElementString("PageCount", pdoc2_A3p.Document.Pages.Count.ToString());
								writer.WriteElementString("ReportName", strRappnameInfo);
								writer.WriteElementString("ReportPageNo", iStartPage.ToString());
								iStartPage = pDoc.Document.Pages.Count + 1;
								writer.WriteEndElement();

								pdoc2_A3p.Dispose();
                                GC.Collect();
                                GC.WaitForPendingFinalizers();
                                pdoc2_A3p = null;

							}
							break;
					}
					break; // End of rpt2

				case 4:
					{
						pdoc4_A4p = new Rpt4.Rpt04_A4p();
						pdoc4_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_4;
						//this.Text += " " + pdoc4_A4p.Document.Name;
						pdoc4_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type04.xml";
						pdoc4_A4p.iStartPage = iStartPage;
						pdoc4_A4p.bMultiRpt = bMultiRpt;

                        pdoc4_A4p.Document.CacheToDisk = true;
                        pdoc4_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc4_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt4", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc4_A4p.Dispose();
                            pdoc4_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc4_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc4_A4p.Document.Pages.Count; i++)
						{
							pdoc4_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc4_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc4_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc4_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc4_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc4_A4p = null;
					}
					break;
				case 5:
					{
						pdoc5_A4L = new Rpt5.Rpt05_A4L_A3p();
						pdoc5_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_5;
						pdoc5_A4L.iRptNr = 5;
						pdoc5_A4L.iStartPage = iStartPage;
						pdoc5_A4L.bMultiRpt = bMultiRpt;
						pdoc5_A4L.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type05.xml";
						pdoc5_A4L.PrintOrientation = PrintOrientation;//.iOrientation = iOrientation;

                        pdoc5_A4L.Document.CacheToDisk = true;
                        pdoc5_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc5_A4L.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt5", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc5_A4L.Dispose();
                            pdoc5_A4L = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc5_A4L.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc5_A4L.Document.Pages.Count; i++)
						{
							//pdoc5_A4L.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc5_A4L.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc5_A4L.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc5_A4L.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc5_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc5_A4L = null;
					}
					break;
				case 6:
					{
						pdoc6_A4p = new Rpt6.Rpt06_A4p();

                        pdoc6_A4p.Document.Name = Properties.Resources.IDS_RappName_6;
						pdoc6_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type06.xml";
						pdoc6_A4p.iStartPage = iStartPage;
						pdoc6_A4p.bMultiRpt = bMultiRpt;

                        try
                        {
                            pdoc6_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt6", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            //MessageBox.Show(err.InnerException.Message, "Rpt6", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc6_A4p.Dispose();
                            pdoc6_A4p = null;
                            throw;
                        }

                        pdoc6_A4p.Document.Bookmarks.Clear();
						Bookmark bk = new Bookmark();
						bk.Label = Properties.Resources.IDS_RappName_6;
                        bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc6_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc6_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc6_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", Properties.Resources.IDS_RappName_6);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						//pdoc6_A4p.Document.Dispose();
						pdoc6_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
						pdoc6_A4p = null;
					}
					break;
				case 7:
					{
						pdoc7_A4p = new Rpt7A4p();
						pdoc7_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_7;
						pdoc7_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type07.xml";
						pdoc7_A4p.iStartPage = iStartPage;
						pdoc7_A4p.bMultiRpt = bMultiRpt;

                        pdoc7_A4p.Document.CacheToDisk = true;
                        pdoc7_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc7_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt7", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc7_A4p.Dispose();
                            pdoc7_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc7_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc7_A4p.Document.Pages.Count; i++)
						{
							//pdoc7_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc7_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc7_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc7_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc7_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc7_A4p = null;
					}
					break;
				case 8:
					{
						pdoc5_A4L = new Rpt5.Rpt05_A4L_A3p();
						pdoc5_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_8;
						pdoc5_A4L.iRptNr = 8;
						pdoc5_A4L.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type08.xml";
						pdoc5_A4L.PrintOrientation = PrintOrientation;//.iOrientation = iOrientation;
						pdoc5_A4L.iStartPage = iStartPage;
						pdoc5_A4L.bMultiRpt = bMultiRpt;

						Bookmark bk = new Bookmark();

						bk.Label = pdoc5_A4L.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

                        pdoc5_A4L.Document.CacheToDisk = true;
                        pdoc5_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc5_A4L.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt8 (5)", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc5_A4L.Dispose();
                            pdoc5_A4L = null;
                            throw;
                        }

                        for (int i = 0; i < pdoc5_A4L.Document.Pages.Count; i++)
						{
							//pdoc5_A4L.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc5_A4L.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc5_A4L.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc5_A4L.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc5_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc5_A4L = null;
					}
					break;
				case 11:
					{
						pdoc11_A4p = new Rpt11.Rpt11_A4p();
						pdoc11_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_11;
						pdoc11_A4p.strXmlFile = strXmlFile; // System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type11.xml";
						pdoc11_A4p.iStartPage = iStartPage;
						pdoc11_A4p.bMultiRpt = bMultiRpt;

                        pdoc11_A4p.Document.CacheToDisk = true;
                        pdoc11_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc11_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt11", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc11_A4p.Dispose();
                            pdoc11_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc11_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc11_A4p.Document.Pages.Count; i++)
						{
							//pdoc11_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc11_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc11_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc11_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc11_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc11_A4p = null;
					}
					break;
				case 12:
					{
						pdoc12_A4p = new Rpt12.Rpt12_A4p();
						pdoc12_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_12;
						pdoc12_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type11.xml";
						pdoc12_A4p.iStartPage = iStartPage;
						pdoc12_A4p.bMultiRpt = bMultiRpt;

                        pdoc12_A4p.Document.CacheToDisk = true;
                        pdoc12_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc12_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt12", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc12_A4p.Dispose();
                            pdoc12_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc12_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc12_A4p.Document.Pages.Count; i++)
						{
							//pdoc12_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc12_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc12_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc12_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc12_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc12_A4p = null;
					}
					break;
				case 13:
					{
						pdoc13_A4L = new Rpt13.Rpt13_A4L();
						pdoc13_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_13;
						pdoc13_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type11.xml";
						pdoc13_A4L.iStartPage = iStartPage;
						pdoc13_A4L.bMultiRpt = bMultiRpt;

                        pdoc13_A4L.Document.CacheToDisk = true;
                        pdoc13_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc13_A4L.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt13", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc13_A4L.Dispose();
                            pdoc13_A4L = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc13_A4L.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc13_A4L.Document.Pages.Count; i++)
						{
							//pdoc13_A4L.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc13_A4L.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc13_A4L.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc13_A4L.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc13_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc13_A4L = null;
					}
					break;
				case 14: //Selektivitetsanalys
					{
						pdoc14_A4p = new Rpt14.Rpt14_A4p();
						pdoc14_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_14;
						pdoc14_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type14.xml";
						pdoc14_A4p.iStartPage = iStartPage;
						pdoc14_A4p.bMultiRpt = bMultiRpt;

                        try
                        {
                            pdoc14_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt14", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc14_A4p.Dispose();
                            pdoc14_A4p = null;
                            throw;
                        }

                        Bookmark bk = new Bookmark();

						bk.Label = pdoc14_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

                        pDoc.Document.Pages.AddRange(pdoc14_A4p.Document.Pages);

                        //for (int i = 0; i < pdoc14_A4p.Document.Pages.Count; i++)
                        //{
                        //    pDoc.Document.Pages.Add(pdoc14_A4p.Document.Pages[i]);
                        //}

                        writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc14_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc14_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

                        //pdoc14_A4p.Document.Pages.Clear();
                        //pdoc14_A4p.Document.Dispose();
                        pdoc14_A4p.Dispose();
                        pdoc14_A4p = null;

                        GC.Collect();
                        GC.WaitForPendingFinalizers();
						
					}
					break;
				case 15:
					{
						pdoc15_A4p = new Rpt15.Rpt15_A4p();
						pdoc15_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_15;
						pdoc15_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
						pdoc15_A4p.iStartPage = iStartPage;

                        pdoc15_A4p.Document.CacheToDisk = true;
                        pdoc15_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc15_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt15", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc15_A4p.Dispose();
                            pdoc15_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc15_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						//Always put the cover as first page
						for (int i = 0; i < pdoc15_A4p.Document.Pages.Count; i++)
						{
							//pdoc15_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc15_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc15_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc15_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc15_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc15_A4p = null;
					}
					break;
				case 16:
					{
                        pdoc16_A4p = new Rpt16_A4p();
                        pdoc16_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_16;
                        pdoc16_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type17.xml";
                        pdoc16_A4p.iStartPage = iStartPage;
                        pdoc16_A4p.bMultiRpt = bMultiRpt;

                        pdoc16_A4p.Document.CacheToDisk = true;
                        pdoc16_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc16_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt16", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc16_A4p.Dispose();
                            pdoc16_A4p = null;
                            throw;
                        }

                        Bookmark bk = new Bookmark();

                        bk.Label = pdoc16_A4p.Document.Name;
                        bk.PageNumber = iStartPage;
                        pDoc.Document.Bookmarks.Add(bk);

                        for (int i = 0; i < pdoc16_A4p.Document.Pages.Count; i++)
                        {
                            //pdoc17_A4p.Document.Pages[i].Bookmarks.Clear();
                            pDoc.Document.Pages.Add(pdoc16_A4p.Document.Pages[i]);
                        }

                        writer.WriteStartElement("pDoc");
                        writer.WriteElementString("PageCount", pdoc16_A4p.Document.Pages.Count.ToString());
                        writer.WriteElementString("ReportName", pdoc16_A4p.Document.Name);
                        writer.WriteElementString("ReportPageNo", iStartPage.ToString());
                        iStartPage = pDoc.Document.Pages.Count + 1;
                        writer.WriteEndElement();

                        pdoc16_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc16_A4p = null;
                    }
                    break;
				case 17:
					{
                        //NewMethod(new Rpt17.Rpt17_A4p());
						pdoc17_A4p = new Rpt17.Rpt17_A4p();
						pdoc17_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_17;
						pdoc17_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type17.xml";
						pdoc17_A4p.iStartPage = iStartPage;
						pdoc17_A4p.bMultiRpt = bMultiRpt;

                        pdoc17_A4p.Document.CacheToDisk = true;
                        pdoc17_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc17_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt17", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc17_A4p.Dispose();
                            pdoc17_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc17_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc17_A4p.Document.Pages.Count; i++)
						{
							//pdoc17_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc17_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc17_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc17_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc17_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc17_A4p = null;
					}
					break;
				case 18:
					{
						pdoc18_A4p = new Rpt18.Rpt18_A4p();
						pdoc18_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_18;
						pdoc18_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type18.xml";
						pdoc18_A4p.iStartPage = iStartPage;
						pdoc18_A4p.bMultiRpt = bMultiRpt;

                        pdoc18_A4p.Document.CacheToDisk = true;
                        pdoc18_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc18_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt18", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc18_A4p.Dispose();
                            pdoc18_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc18_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc18_A4p.Document.Pages.Count; i++)
						{
							//pdoc18_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc18_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc18_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc18_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc18_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc18_A4p = null;
					}
					break;
				case 19: //pdoc19_A4L_A3p
					{
						pdoc19_A4L_A3p = new Rpt19.Rpt19_A4L_A3p();
						pdoc19_A4L_A3p.PrintOrientation = PrintOrientation;//.iOrientation = iOrientation;
						pdoc19_A4L_A3p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_19;
						pdoc19_A4L_A3p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type19.xml";
						pdoc19_A4L_A3p.iStartPage = iStartPage;
						pdoc19_A4L_A3p.bMultiRpt = bMultiRpt;

                        pdoc19_A4L_A3p.Document.CacheToDisk = true;
                        pdoc19_A4L_A3p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc19_A4L_A3p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt19", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc19_A4L_A3p.Dispose();
                            pdoc19_A4L_A3p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc19_A4L_A3p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc19_A4L_A3p.Document.Pages.Count; i++)
						{
							//pdoc19_A4L_A3p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc19_A4L_A3p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc19_A4L_A3p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc19_A4L_A3p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc19_A4L_A3p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc19_A4L_A3p = null;
					}
					break;
				case 20:
					{
						pdoc20_A4p = new Rpt20.Rpt20_A4p();
						pdoc20_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_20;

                        pdoc20_A4p.Document.CacheToDisk = true;
                        pdoc20_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc20_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt20", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc20_A4p.Dispose();
                            pdoc20_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc20_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc20_A4p.Document.Pages.Count; i++)
						{
							//pdoc20_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc20_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc20_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc20_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc20_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc20_A4p = null;
					}
					break;
				case 21:
					{
						pdoc21_A4p = new Rpt21.Rpt21_A4p();
						pdoc21_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_21;
						pdoc21_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type21.xml";

                        try
                        {
                            pdoc21_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt21", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc21_A4p.Dispose();
                            pdoc21_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc21_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc21_A4p.Document.Pages.Count; i++)
						{
							//pdoc21_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc21_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc21_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc21_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc21_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc21_A4p = null;
					}
					break;
				case 23:
					{
						pdoc23_A4L_A3p = new Rpt23.Rpt23_A4L_A3p();
						pdoc23_A4L_A3p.PrintOrientation = PrintOrientation;//.iOrientation = iOrientation;
						pdoc23_A4L_A3p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_23;
						pdoc23_A4L_A3p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type23.xml";
						pdoc23_A4L_A3p.iStartPage = iStartPage;
						pdoc23_A4L_A3p.bMultiRpt = bMultiRpt;

                        pdoc23_A4L_A3p.Document.CacheToDisk = true;
                        pdoc23_A4L_A3p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc23_A4L_A3p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt23", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc23_A4L_A3p.Dispose();
                            pdoc23_A4L_A3p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc23_A4L_A3p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc23_A4L_A3p.Document.Pages.Count; i++)
						{
							//pdoc23_A4L_A3p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc23_A4L_A3p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc23_A4L_A3p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc23_A4L_A3p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc23_A4L_A3p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc23_A4L_A3p = null;
					}
					break;
				case 24:
					{
						pdoc24_A4p = new Rpt24.Rpt24_A4p();
						pdoc24_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_24;
						pdoc24_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
						pdoc24_A4p.iStartPage = iStartPage;
						pdoc24_A4p.bMultiRpt = bMultiRpt;

                        pdoc24_A4p.Document.CacheToDisk = true;
                        pdoc24_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc24_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt24", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc24_A4p.Dispose();
                            pdoc24_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc24_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc24_A4p.Document.Pages.Count; i++)
						{
							//pdoc24_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc24_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc24_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc24_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc24_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc24_A4p = null;
					}
					break;
				case 25:
					{
						pdoc25_A4p = new Rpt25.Rpt25_A4p();
						pdoc25_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_25;
						pdoc25_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
						pdoc25_A4p.iStartPage = iStartPage;
						pdoc25_A4p.bMultiRpt = bMultiRpt;

                        pdoc25_A4p.Document.CacheToDisk = true;
                        pdoc25_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc25_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt25", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc25_A4p.Dispose();
                            pdoc25_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc25_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc25_A4p.Document.Pages.Count; i++)
						{
							//pdoc25_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc25_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc25_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc25_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc25_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc25_A4p = null;
					}
					break;
				case 26:
					{
						pdoc26_A4p = new Rpt26.Rpt26_A4p();
						pdoc26_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_26;
						pdoc26_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
						pdoc26_A4p.iStartPage = iStartPage;
						pdoc26_A4p.bMultiRpt = bMultiRpt;

                        pdoc26_A4p.Document.CacheToDisk = true;
                        pdoc26_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc26_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt26", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc26_A4p.Dispose();
                            pdoc26_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc26_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc26_A4p.Document.Pages.Count; i++)
						{
							//pdoc26_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc26_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc26_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc26_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc26_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc26_A4p = null;
					}
					break;
				case 27:
					{
						pdoc27_A4p = new Rpt27.Rpt27_A4p();
						pdoc27_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_27;
						pdoc27_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type27.xml";
						pdoc27_A4p.iStartPage = iStartPage;
						pdoc27_A4p.bMultiRpt = bMultiRpt;

                        pdoc27_A4p.Document.CacheToDisk = true;
                        pdoc27_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc27_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt27", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc27_A4p.Dispose();
                            pdoc27_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc27_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc27_A4p.Document.Pages.Count; i++)
						{
							//pdoc27_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc27_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc27_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc27_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc27_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc27_A4p = null;
					}
					break;

				case 28:
					{
						pdoc28_A4L = new Rpt28.Rpt28_A4L();
						pdoc28_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_28;
						pdoc28_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type28.xml";
						pdoc28_A4L.iStartPage = iStartPage;
						pdoc28_A4L.bMultiRpt = bMultiRpt;

                        pdoc28_A4L.Document.CacheToDisk = true;
                        pdoc28_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc28_A4L.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt28", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc28_A4L.Dispose();
                            pdoc28_A4L = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc28_A4L.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc28_A4L.Document.Pages.Count; i++)
						{
							//pdoc28_A4L.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc28_A4L.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc28_A4L.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc28_A4L.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc28_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc28_A4L = null;
					}
					break;
				case 29:
				case 30:
				case 31:
				case 32:
				case 33:
				case 34:
					{
						pdoc29_A4p = new Rpt29.Rpt29_A4p();
						pdoc29_A4p.iRptNo = iRptNo;
						if (iRptNo == 29)
						{
							strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_29;
							pdoc29_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type29.xml";
						}
						else if (iRptNo == 30)
						{
							strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_30;
							pdoc29_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type30.xml";
						}
						else if (iRptNo == 31)
						{
							strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_31;
							pdoc29_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type31.xml";
						}
						else if (iRptNo == 32)
						{
							strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_32;
							pdoc29_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type32.xml";
						}
						else if (iRptNo == 33)
						{
							strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_33;
							pdoc29_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type33.xml";
						}
						else if (iRptNo == 34)
						{
							strRappName = FebPrintClassLib.Properties.Resources.IDS_RappName_34;
							pdoc29_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type34.xml";
						}
						pdoc29_A4p.Document.Name = strRappName;
						pdoc29_A4p.iStartPage = iStartPage;
						pdoc29_A4p.bMultiRpt = bMultiRpt;

                        pdoc29_A4p.Document.CacheToDisk = true;
                        pdoc29_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc29_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt" + iRptNo.ToString(), MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc29_A4p.Dispose();
                            pdoc29_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = strRappnameInfo;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						//MessageBox.Show("pages: " + pdoc29_A4p.Document.Pages.Count.ToString());

						for (int i = 0; i < pdoc29_A4p.Document.Pages.Count; i++)
						{
							//MessageBox.Show("loop ready: " + pdoc29_A4p.Document.Name + " pges: " + pDoc.Document.Pages.Count.ToString());
							pDoc.Document.Pages.Add(pdoc29_A4p.Document.Pages[i]);
							//MessageBox.Show("ett");
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc29_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", strRappnameInfo);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc29_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc29_A4p = null;
					}
					break;
				case 35:
					{
						pdoc35_A4p = new Rpt35.Rpt35_A4p();
						pdoc35_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_35;
						pdoc35_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type35.xml";
						pdoc35_A4p.iStartPage = iStartPage;
						pdoc35_A4p.bMultiRpt = bMultiRpt;

                        pdoc35_A4p.Document.CacheToDisk = true;
                        pdoc35_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc35_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt35", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc35_A4p.Dispose();
                            pdoc35_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = strRappnameInfo;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc35_A4p.Document.Pages.Count; i++)
						{
							//pdoc35_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc35_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc35_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", strRappnameInfo);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc35_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc35_A4p = null;
					}
					break;
				case 36:
					{
						pdoc36_A4p = new Rpt36.Rpt36_A4p();
						pdoc36_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_36;
						pdoc36_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type15.xml";
						pdoc36_A4p.iStartPage = iStartPage;
						pdoc36_A4p.bMultiRpt = bMultiRpt;

                        pdoc36_A4p.Document.CacheToDisk = true;
                        pdoc36_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc36_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt36", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc36_A4p.Dispose();
                            pdoc36_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc36_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc36_A4p.Document.Pages.Count; i++)
						{
							//pdoc36_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc36_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc36_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc36_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc36_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc36_A4p = null;
					}
					break;
				case 37:
					{
						pdoc37_A4p = new Rpt37.Rpt37_A4p();
						pdoc37_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_37;
						pdoc37_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type07.xml";
						pdoc37_A4p.iStartPage = iStartPage;
						pdoc37_A4p.bMultiRpt = bMultiRpt;

                        pdoc37_A4p.Document.CacheToDisk = true;
                        pdoc37_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc37_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt37", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc37_A4p.Dispose();
                            pdoc37_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc37_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc37_A4p.Document.Pages.Count; i++)
						{
							//pdoc7_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc37_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc37_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc37_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc37_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc37_A4p = null;
					}
					break;
				case 39:
					{
						pdoc39_A4p = new Rpt39.Rpt39_A4p();
						pdoc39_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_38;
						pdoc39_A4p.strXmlFile = strXmlFile;
						pdoc39_A4p.iStartPage = iStartPage;
						pdoc39_A4p.bMultiRpt = bMultiRpt;

                        pdoc39_A4p.Document.CacheToDisk = true;
                        pdoc39_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc39_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt39", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc39_A4p.Dispose();
                            pdoc39_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc39_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc39_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc39_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc39_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc39_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc39_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc39_A4p = null;
					}
					break;
				case 64:
					{
						pdoc64_A4p = new Rpt64.Rpt64_A4p();
						pdoc64_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_64;
						pdoc64_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type07.xml";

                        pdoc64_A4p.Document.CacheToDisk = true;
                        pdoc64_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc64_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt64", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc64_A4p.Dispose();
                            pdoc64_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc64_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc64_A4p.Document.Pages.Count; i++)
						{
							//pdoc7_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc64_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc64_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc64_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc64_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc64_A4p = null;
					}
					break;
				case 66:
					{
						pdoc66_A4p = new Rpt66.Rpt66_A4p();
						pdoc66_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_66;
						pdoc66_A4p.strXmlFile = strXmlFile;

                        pdoc66_A4p.Document.CacheToDisk = true;
                        pdoc66_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc66_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt66", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc66_A4p.Dispose();
                            pdoc66_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc66_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);

						for (int i = 0; i < pdoc66_A4p.Document.Pages.Count; i++)
						{
							//pdoc7_A4p.Document.Pages[i].Bookmarks.Clear();
							pDoc.Document.Pages.Add(pdoc66_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc66_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc66_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();

						pdoc66_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc66_A4p = null;
					}
					break;

				//Följande rpt är List reports från diverse register.. Kommer inte åt dessa via Febdok Print Dlg
				//Koden ligger här för framtida bruk.

				case 68: // ECA Reports (Generic)
					{
						//MessageBox.Show("ECA");
						pdoc_Eca = new Rpt_ECA.Rpt_Eca();
						pdoc_Eca.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_68;
						pdoc_Eca.bEca = false;
						pdoc_Eca.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc_Eca.Document.CacheToDisk = true;
                        pdoc_Eca.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc_Eca.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt68 (Eca)", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc_Eca.Dispose();
                            pdoc_Eca = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc_Eca.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc_Eca.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_Eca.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc_Eca.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc_Eca.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc_Eca.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_Eca = null;

					}
					break;
				case 69: // ECA Reports
					{
						//MessageBox.Show("ECA");
						pdoc_Eca = new Rpt_ECA.Rpt_Eca();
						pdoc_Eca.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_69;
						pdoc_Eca.bEca = true;
						pdoc_Eca.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc_Eca.Document.CacheToDisk = true;
                        pdoc_Eca.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc_Eca.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt69 (Eca)", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc_Eca.Dispose();
                            pdoc_Eca = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc_Eca.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc_Eca.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_Eca.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc_Eca.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc_Eca.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc_Eca.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_Eca = null;

					}
					break;
				case 70: //Elecsa Reports pdoc_Elecsa
					{
						pdoc_Elecsa = new Rpt_Elecsa.Rpt_Elecsa();
						pdoc_Elecsa.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_70;
						pdoc_Elecsa.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc_Elecsa.Document.CacheToDisk = true;
                        pdoc_Elecsa.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc_Elecsa.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt70 (Elecsa)", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc_Elecsa.Dispose();
                            pdoc_Elecsa = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc_Elecsa.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc_Elecsa.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_Elecsa.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc_Elecsa.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc_Elecsa.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc_Elecsa.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_Elecsa = null;

					}
					break;

				case 72: //Vern detaljdata
					{
						pdoc72_A4p = new Rpt72.Rpt72_A4p();
						pdoc72_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_72;
						pdoc72_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc72_A4p.Document.CacheToDisk = true;
                        pdoc72_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc72_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt72", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc72_A4p.Dispose();
                            pdoc72_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc72_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc72_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc72_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc72_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc72_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc72_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc72_A4p = null;

					}
					break;
				case 73: //Utlöserenheter
					{
						pdoc73_A4L = new Rpt73.Rpt73_A4L();
						pdoc73_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_73;
						pdoc73_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc73_A4L.Document.CacheToDisk = true;
                        pdoc73_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc73_A4L.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt73", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc73_A4L.Dispose();
                            pdoc73_A4L = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc73_A4L.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc73_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc73_A4L.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc73_A4L.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc73_A4L.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc73_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc73_A4L = null;

					}
					break;


				case 74: //Utlöserenhet detaljdata
					{
						pdoc74_A4p = new Rpt74.Rpt74_A4p();
						pdoc74_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_74;
						pdoc74_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc74_A4p.Document.CacheToDisk = true;
                        pdoc74_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc74_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt74", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc74_A4p.Dispose();
                            pdoc74_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc74_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc74_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc74_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc74_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc74_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc74_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc74_A4p = null;

					}
					break;
				case 75: //Bryterenheter
					{
						pdoc75_A4L = new Rpt75.Rpt75_A4L();
						pdoc75_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_75;
						pdoc75_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc75_A4L.Document.CacheToDisk = true;
                        pdoc75_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc75_A4L.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt75", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc75_A4L.Dispose();
                            pdoc75_A4L = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc75_A4L.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc75_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc75_A4L.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc75_A4L.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc75_A4L.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc75_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc75_A4L = null;

					}
					break;


				case 76: //Bryterenheter detaljdata
					{
						pdoc76_A4p = new Rpt76.Rpt76_A4p();
						pdoc76_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_76;
						pdoc76_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc76_A4p.Document.CacheToDisk = true;
                        pdoc76_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc76_A4p.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt76", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc76_A4p.Dispose();
                            pdoc76_A4p = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc76_A4p.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc76_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc76_A4p.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc76_A4p.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc76_A4p.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc76_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc76_A4p = null;

					}
					break;
				case 77: //ECA New report
					{
						//MessageBox.Show("ECA");
						pdoc_EcaNew = new Rpt_EcaNew.RptEcaNew();
						pdoc_EcaNew.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_68;
						pdoc_EcaNew.bEca = false;
						pdoc_EcaNew.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type77.xml";

                        pdoc_EcaNew.Document.CacheToDisk = true;
                        pdoc_EcaNew.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        try
                        {
                            pdoc_EcaNew.Run(true);
                        }
                        catch (Exception err)
                        {
                            MessageBox.Show(err.Message, "Rpt77", MessageBoxButtons.OK, MessageBoxIcon.Error);
                            pdoc_EcaNew.Dispose();
                            pdoc_EcaNew = null;
                            throw;
                        }

						Bookmark bk = new Bookmark();

						bk.Label = pdoc_EcaNew.Document.Name;
						bk.PageNumber = iStartPage;
						pDoc.Document.Bookmarks.Add(bk);


						for (int i = 0; i < pdoc_EcaNew.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_EcaNew.Document.Pages[i]);
						}

						writer.WriteStartElement("pDoc");
						writer.WriteElementString("PageCount", pdoc_EcaNew.Document.Pages.Count.ToString());
						writer.WriteElementString("ReportName", pdoc_EcaNew.Document.Name);
						writer.WriteElementString("ReportPageNo", iStartPage.ToString());
						iStartPage = pDoc.Document.Pages.Count + 1;
						writer.WriteEndElement();


						pdoc_EcaNew.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_EcaNew = null;

					}
					break;


			} //End switch Rptnr


		}

        //private void NewMethod(MySectionReport report)
        //{
        //    report.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_16;
        //    report.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type16.xml";
        //    report.iStartPage = iStartPage;
        //    report.bMultiRpt = bMultiRpt;
        //    report.Run();

        //    Bookmark bk = new Bookmark();

        //    bk.Label = report.Document.Name;
        //    bk.PageNumber = iStartPage;
        //    pDoc.Document.Bookmarks.Add(bk);

        //    for (int i = 0; i < report.Document.Pages.Count; i++)
        //    {
        //        //report.Document.Pages[i].Bookmarks.Clear();
        //        pDoc.Document.Pages.Add(report.Document.Pages[i]);
        //    }

        //    writer.WriteStartElement("pDoc");
        //    writer.WriteElementString("PageCount", report.Document.Pages.Count.ToString());
        //    writer.WriteElementString("ReportName", report.Document.Name);
        //    writer.WriteElementString("ReportPageNo", iStartPage.ToString());
        //    iStartPage = pDoc.Document.Pages.Count + 1;
        //    writer.WriteEndElement();

        //    report.Dispose();
        //    report = null;
        //}

		public static void ExecuteRptListOnly()
		{
			switch (iRptNo)
			{
				case 17:
					{
						pdoc17_A4p = new Rpt17.Rpt17_A4p();
						pdoc17_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_17;
						//this.Text += " " + pdoc17_A4p.Document.Name;
						pdoc17_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type17.xml";

                        pdoc17_A4p.Document.CacheToDisk = true;
                        pdoc17_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();


                        pdoc17_A4p.Run(true);
						//this.viewer1.Document = pdoc16_A4p.Document;
						for (int i = 0; i < pdoc17_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc17_A4p.Document.Pages[i]);
						}
						pdoc17_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc17_A4p = null;
					}
					break;
				case 18:
					{
						pdoc18_A4p = new Rpt18.Rpt18_A4p();
						pdoc18_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_18;
						//this.Text += " " + pdoc18_A4p.Document.Name;
						pdoc18_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type18.xml";

                        pdoc18_A4p.Document.CacheToDisk = true;
                        pdoc18_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc18_A4p.Run(true);
						//this.viewer1.Document = pdoc18_A4p.Document;
						for (int i = 0; i < pdoc18_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc18_A4p.Document.Pages[i]);
						}
						pdoc18_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc18_A4p = null;
					}
					break;
				case 21:
					{
						pdoc21_A4p = new Rpt21.Rpt21_A4p();
						pdoc21_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_21;
						//this.Text += " " + pdoc21_A4p.Document.Name;
						pdoc21_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type21.xml";

                        pdoc21_A4p.Document.CacheToDisk = true;
                        pdoc21_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc21_A4p.Run(true);
						//this.viewer1.Document = pdoc18_A4p.Document;
						for (int i = 0; i < pdoc21_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc21_A4p.Document.Pages[i]);
						}
						pdoc21_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc21_A4p = null;
					}
					break;
				case 51:
					{
						pdoc51_A4L = new Rpt51.Rpt51_A4L();
						pdoc51_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_51;
						//this.Text += " " + pdoc51_A4L.Document.Name;
						pdoc51_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type51.xml";

                        pdoc51_A4L.Document.CacheToDisk = true;
                        pdoc51_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc51_A4L.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc51_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc51_A4L.Document.Pages[i]);
						}
						pdoc51_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc51_A4L = null;
					}
					break;
				case 52:
					{
						pdoc52_A4p = new Rpt52.Rpt52_A4p();
						pdoc52_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_52;
						//this.Text += " " + pdoc52_A4p.Document.Name;
						pdoc52_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type51.xml";

                        pdoc52_A4p.Document.CacheToDisk = true;
                        pdoc52_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc52_A4p.Run();
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc52_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc52_A4p.Document.Pages[i]);
						}
						pdoc52_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc52_A4p = null;
					}
					break;
				case 53:
					{
						pdoc53_A4p = new Rpt53.Rpt53_A4p();
						pdoc53_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_53;
						//this.Text += " " + pdoc53_A4p.Document.Name;
						pdoc53_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type51.xml";

                        pdoc53_A4p.Document.CacheToDisk = true;
                        pdoc53_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc53_A4p.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc53_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc53_A4p.Document.Pages[i]);
						}
						pdoc53_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc53_A4p = null;
					}
					break;
				case 54:
					{
						pdoc54_A4p = new Rpt54.Rpt54_A4p();
						pdoc54_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_54;
						//this.Text += " " + pdoc54_A4p.Document.Name;
						pdoc54_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type51.xml";

                        pdoc54_A4p.Document.CacheToDisk = true;
                        pdoc54_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc54_A4p.Run();
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc54_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc54_A4p.Document.Pages[i]);
						}
						pdoc54_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc54_A4p = null;
					}
					break;
				case 55:
					{
						pdoc55_A4L = new Rpt55.Rpt55_A4L();
						pdoc55_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_55;
						//this.Text += " " + pdoc55_A4L.Document.Name;
						pdoc55_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type55.xml";

                        pdoc55_A4L.Document.CacheToDisk = true;
                        pdoc55_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc55_A4L.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc55_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc55_A4L.Document.Pages[i]);
						}
						pdoc55_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc55_A4L = null;
					}
					break;
				case 57:
					{
						pdoc57_A4L = new Rpt57.Rpt57_A4L();
						pdoc57_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_57;
						//this.Text += " " + pdoc57_A4L.Document.Name;
						pdoc57_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type57.xml";

                        pdoc57_A4L.Document.CacheToDisk = true;
                        pdoc57_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc57_A4L.Run();
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc57_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc57_A4L.Document.Pages[i]);
						}
						pdoc57_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc57_A4L = null;
					}
					break;
				case 59:
					{
						pdoc59_A4L = new Rpt59.Rpt59_A4L();
						pdoc59_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_59;
						//this.Text += " " + pdoc59_A4L.Document.Name;
						pdoc59_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type59.xml";

                        pdoc59_A4L.Document.CacheToDisk = true;
                        pdoc59_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc59_A4L.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc59_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc59_A4L.Document.Pages[i]);
						}
						pdoc59_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc59_A4L = null;
					}
					break;
				case 60:
					{
						pdoc60_A4L = new Rpt60.Rpt60_A4L();
						pdoc60_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_60;
						//this.Text += " " + pdoc60_A4L.Document.Name;
						pdoc60_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type59.xml";

                        pdoc60_A4L.Document.CacheToDisk = true;
                        pdoc60_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc60_A4L.Run();
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc60_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc60_A4L.Document.Pages[i]);
						}
						pdoc60_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc60_A4L = null;
					}
					break;
				case 61:
					{
						pdoc61_A4L = new Rpt61.Rpt61_A4L();
						pdoc61_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_61;
						//this.Text += " " + pdoc61_A4L.Document.Name;
						pdoc61_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type61.xml";

                        pdoc61_A4L.Document.CacheToDisk = true;
                        pdoc61_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc61_A4L.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc61_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc61_A4L.Document.Pages[i]);
						}
						pdoc61_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc61_A4L = null;
					}
					break;
				case 63:
					{
						pdoc63_A4L = new Rpt63.Rpt63_A4L();
						pdoc63_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_63;
						//this.Text += " " + pdoc63_A4L.Document.Name;
						pdoc63_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type63.xml";

                        pdoc63_A4L.Document.CacheToDisk = true;
                        pdoc63_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc63_A4L.Run();
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc63_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc63_A4L.Document.Pages[i]);
						}
						pdoc63_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc63_A4L = null;
					}
					break;
				case 64:
					{
						pdoc64_A4p = new Rpt64.Rpt64_A4p();
						pdoc64_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_64;
						pdoc64_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type07.xml";

                        pdoc64_A4p.Document.CacheToDisk = true;
                        pdoc64_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc64_A4p.Run(true);


						for (int i = 0; i < pdoc64_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc64_A4p.Document.Pages[i]);
						}

						pdoc64_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc64_A4p = null;
					}
					break;
				case 65:
					{
						pdoc65_A4L = new Rpt65.Rpt65_A4L();
						pdoc65_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_65;
						//this.Text += " " + pdoc65_A4L.Document.Name;
						pdoc65_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type65.xml";

                        pdoc65_A4L.Document.CacheToDisk = true;
                        pdoc65_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc65_A4L.Run();
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc65_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc65_A4L.Document.Pages[i]);
						}
						pdoc65_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc65_A4L = null;
					}
					break;
				case 66:
					{
						pdoc66_A4p = new Rpt66.Rpt66_A4p();
						pdoc66_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_66;
						pdoc66_A4p.strXmlFile = strXmlFile;//System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type66.xml";

                        pdoc66_A4p.Document.CacheToDisk = true;
                        pdoc66_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc66_A4p.Run(true);


						for (int i = 0; i < pdoc66_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc66_A4p.Document.Pages[i]);
						}

						pdoc66_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc66_A4p = null;
					}
					break;
				case 67:
					{
						pdoc67_A4L = new Rpt67.Rpt67_A4L();
						pdoc67_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_67;
						//this.Text += " " + pdoc67_A4L.Document.Name;
						pdoc67_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type67.xml";

                        pdoc67_A4L.Document.CacheToDisk = true;
                        pdoc67_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc67_A4L.Run();
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc67_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc67_A4L.Document.Pages[i]);
						}
						pdoc67_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc67_A4L = null;
					}
					break;
				case 68: // ECA Reports (Generic)
					{
						//MessageBox.Show("ECA");
						pdoc_Eca = new Rpt_ECA.Rpt_Eca();
						pdoc_Eca.bEca = false;
						pdoc_Eca.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc_Eca.Document.CacheToDisk = true;
                        pdoc_Eca.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc_Eca.Run(true);

						for (int i = 0; i < pdoc_Eca.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_Eca.Document.Pages[i]);
						}
						pdoc_Eca.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_Eca = null;

					}
					break;
				case 69: // ECA Reports
					{
						//MessageBox.Show("ECA");
						pdoc_Eca = new Rpt_ECA.Rpt_Eca();
						pdoc_Eca.bEca = true;
						pdoc_Eca.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc_Eca.Document.CacheToDisk = true;
                        pdoc_Eca.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc_Eca.Run(true);

						for (int i = 0; i < pdoc_Eca.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_Eca.Document.Pages[i]);
						}
						pdoc_Eca.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_Eca = null;

					}
					break;
				case 70: //Elecsa Reports pdoc_Elecsa
					{
						pdoc_Elecsa = new Rpt_Elecsa.Rpt_Elecsa();
						pdoc_Elecsa.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type68.xml";

                        pdoc_Elecsa.Document.CacheToDisk = true;
                        pdoc_Elecsa.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc_Elecsa.Run(true);

						for (int i = 0; i < pdoc_Elecsa.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_Elecsa.Document.Pages[i]);
						}
						pdoc_Elecsa.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_Elecsa = null;

					}
					break;
				case 72:
					{
						pdoc72_A4p = new Rpt72.Rpt72_A4p();
						pdoc72_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_72;
						//this.Text += " " + pdoc67_A4L.Document.Name;
						pdoc72_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type67.xml";

                        pdoc72_A4p.Document.CacheToDisk = true;
                        pdoc72_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc72_A4p.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc72_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc72_A4p.Document.Pages[i]);
						}
						pdoc72_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc72_A4p = null;
					}
					break;
				case 73:
					{
						pdoc73_A4L = new Rpt73.Rpt73_A4L();
						pdoc73_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_73;
						//this.Text += " " + pdoc67_A4L.Document.Name;
						pdoc73_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type67.xml";

                        pdoc73_A4L.Document.CacheToDisk = true;
                        pdoc73_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc73_A4L.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc73_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc73_A4L.Document.Pages[i]);
						}
						pdoc73_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc73_A4L = null;
					}
					break;

				case 74:
					{
						pdoc74_A4p = new Rpt74.Rpt74_A4p();
						pdoc74_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_74;
						//this.Text += " " + pdoc67_A4L.Document.Name;
						pdoc74_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type67.xml";

                        pdoc74_A4p.Document.CacheToDisk = true;
                        pdoc74_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc74_A4p.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc74_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc74_A4p.Document.Pages[i]);
						}
						pdoc74_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc74_A4p = null;
					}
					break;
				case 75:
					{
						pdoc75_A4L = new Rpt75.Rpt75_A4L();
						pdoc75_A4L.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_75;
						//this.Text += " " + pdoc67_A4L.Document.Name;
						pdoc75_A4L.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type67.xml";

                        pdoc75_A4L.Document.CacheToDisk = true;
                        pdoc75_A4L.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc75_A4L.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc75_A4L.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc75_A4L.Document.Pages[i]);
						}
						pdoc75_A4L.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc75_A4L = null;
					}
					break;

				case 76:
					{
						pdoc76_A4p = new Rpt76.Rpt76_A4p();
						pdoc76_A4p.Document.Name = FebPrintClassLib.Properties.Resources.IDS_RappName_76;
						//this.Text += " " + pdoc67_A4L.Document.Name;
						pdoc76_A4p.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type67.xml";

                        pdoc76_A4p.Document.CacheToDisk = true;
                        pdoc76_A4p.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc76_A4p.Run(true);
						//this.viewer1.Document = pdoc13_A4L.Document;
						for (int i = 0; i < pdoc76_A4p.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc76_A4p.Document.Pages[i]);
						}
						pdoc76_A4p.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc76_A4p = null;
					}
					break;
				case 77: // ECA Reports (Generic)
					{
						//MessageBox.Show("ECA");
						pdoc_EcaNew = new Rpt_EcaNew.RptEcaNew();
						pdoc_EcaNew.bEca = false;
						pdoc_EcaNew.strXmlFile = strXmlFile; //System.IO.Path.GetTempPath() + "FEBDOK_DocumentXML_Type77.xml";

                        pdoc_EcaNew.Document.CacheToDisk = true;
                        pdoc_EcaNew.Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

                        pdoc_EcaNew.Run(true);

						for (int i = 0; i < pdoc_EcaNew.Document.Pages.Count; i++)
						{
							pDoc.Document.Pages.Add(pdoc_EcaNew.Document.Pages[i]);
						}
						pdoc_EcaNew.Dispose();
                        GC.Collect();
                        GC.WaitForPendingFinalizers();
                        pdoc_EcaNew = null;

					}
					break;

			}

		}

		#endregion
	}
}
