﻿using System;
using GrapeCity.ActiveReports.Data;


namespace FebPrintClassLib.Rpt6
{
    /// <summary>
    /// Summary description for Rpt06_CircLoad2.
    /// </summary>
	public partial class Rpt06_CircLoad2 : GrapeCity.ActiveReports.SectionReport
	{

		public Rpt06_CircLoad2()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

            Document.CacheToDisk = true;
            Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

        }

        private void detail_Format(object sender, EventArgs e)
		{



			//LoadDescription
			if (((XMLDataSource)this.DataSource).Field("LoadDescription", false).ToString() == ".")
				txtLoadDesc.Text = "";
			//LoadNominalVoltage
			if (((XMLDataSource)this.DataSource).Field("LoadNominalVoltage", false).ToString() == ".")
				txtNomVolt.Text = "";


			//LoadNumberOfConductors
			if (((XMLDataSource)this.DataSource).Field("LoadNumberOfConductors", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("LoadNumberOfConductors", false).ToString() == "-1")
				txtNoOfLiveCond.Text = "";
            //LiveConductorArrangement
            if (((XMLDataSource)this.DataSource).Field("LiveConductorArrangement", false).ToString() == "." ||
              ((XMLDataSource)this.DataSource).Field("LiveConductorArrangement", false).ToString() == "-1")
                txtLiveCondArr.Text = "";
            else
                txtLiveCondArr.Text = ((XMLDataSource)this.DataSource).Field("LiveConductorArrangement", false).ToString();

            shape1.Height = detail.Height + CmToInch(0.2f);
		}
	}
}
