﻿using System;
using System.Globalization;
using GrapeCity.ActiveReports.Data;


namespace FebPrintClassLib.Rpt6
{
    /// <summary>
    /// Summary description for Rpt06_Kabel.
    /// </summary>
	public partial class Rpt06_Kabel : GrapeCity.ActiveReports.SectionReport
	{
		public float fH;
		public Rpt06_Kabel()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

            Document.CacheToDisk = true;
            Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

        }

        private void Rpt06_Kabel_PageStart(object sender, EventArgs e)
		{

		}

		private void detail_Format(object sender, EventArgs e)
		{
			//CommonItems clItems = new CommonItems();
            //Get the NameCode text
            //string x = ((XMLDataSource)this.DataSource).Field("../CircuitLoad/LoadReferenceDesignation", false).ToString();

            string strNameType = CommonItems.GetNameCodeTxt(((XMLDataSource)this.DataSource).Field("NameCode", false).ToString());

            //txtCableNameType
            if (((XMLDataSource)this.DataSource).Field("../CircuitLoad/CircuitLoadType", false).ToString() == "9")
			{
				txtCableNameType.Text = strNameType;
				//line1.Location = new PointF(CmToInch(0F), CmToInch(0.53F));
				detail.Height = CmToInch(0.57F);

                //txtSkinnetxt.Visible = false;
                //txtCol1.Visible = false;
                //JL 2010-10-26
                //txtCableDescr.Visible = false;

                txtCableTotalTxt.Visible = true;
                txtCableTotalColon.Visible = true;
                txtCableTotalLength.Visible = true;

                txtRefInstMet.Visible = false;
				txtCol2.Visible = false;
				txtCableRefDesVal.Visible = false;
				txtOmgTemp.Visible = false;
				txtCol3.Visible = false;
				txtOmgTempVal.Visible = false;
				txtParalell.Visible = false;
				txtKableLength.Visible = false;
				txtCol4.Visible = false;
				txtKableLengthVal.Visible = false;
				txtCorrFakt.Visible = false;
				//txtCol7.Visible = false;
				txtCableCorrFakt.Visible = false;
				txtCablePowLoss.Visible = false;
				txtCol5.Visible = false;
				txtCablePowLossValue.Visible = false;
				txtCurMtrl.Visible = false;
				txtCol6.Visible = false;
				txtCurMtrlVal.Visible = false;

                if (((XMLDataSource)this.DataSource).Field("CableTotalLength", false).ToString() == "." ||
                    ((XMLDataSource)this.DataSource).Field("CableTotalLength", false).ToString() == "-1")
                    txtCableTotalLength.Text = "";
                else
                    txtCableTotalLength.Text = String.Format("{0:#0.00} m",
                        Convert.ToDouble(((XMLDataSource)this.DataSource).Field("CableTotalLength", false), CultureInfo.InvariantCulture));



                if (((XMLDataSource)this.DataSource).Field("CableReferenceDesignation", false).ToString() == "." ||
					((XMLDataSource)this.DataSource).Field("CableReferenceDesignation", false).ToString() == "-1")
					txtCableRefDes.Text = "";
				if (((XMLDataSource)this.DataSource).Field("CableTypeDescription", false).ToString() == "." ||
				  ((XMLDataSource)this.DataSource).Field("CableTypeDescription", false).ToString() == "-1")
					txtCableDescr.Text = "";
				else
					txtCableRefDes.Text = txtCableDescr.Text;
			}
			else
			{
				//                txtCableNameType.Text = String.Format("{0}, {1}", strNameType, FebPrintClassLib.Properties.Resources.IDS_MERKINGTXT);
				txtCableNameType.Text = String.Format("{0}", strNameType);
				//line1.Location = new PointF(CmToInch(0F), CmToInch(3.64F));
				detail.Height = CmToInch(3.95F);

                txtCableTotalTxt.Visible = false;
                txtCableTotalColon.Visible = false;
                txtCableTotalLength.Visible = false;

				txtSkinnetxt.Visible = true;
				txtCol1.Visible = true;
				txtCableDescr.Visible = true;
				txtRefInstMet.Visible = true;
				txtCol2.Visible = true;
				txtCableRefDesVal.Visible = true;
				txtOmgTemp.Visible = true;
				txtCol3.Visible = true;
				txtOmgTempVal.Visible = true;
				txtParalell.Visible = true;
				txtKableLength.Visible = true;
				txtCol4.Visible = true;
				txtKableLengthVal.Visible = true;
				txtCorrFakt.Visible = true;
				//txtCol7.Visible = true;
				txtCableCorrFakt.Visible = true;
				txtCablePowLoss.Visible = true;
				txtCol5.Visible = true;
				txtCablePowLossValue.Visible = true;
				txtCurMtrl.Visible = true;
				txtCol6.Visible = true;
				txtCurMtrlVal.Visible = true;

				if (((XMLDataSource)this.DataSource).Field("CableReferenceDesignation", false).ToString() == "." ||
					((XMLDataSource)this.DataSource).Field("CableReferenceDesignation", false).ToString() == "-1")
					txtCableRefDes.Text = "";

				if (((XMLDataSource)this.DataSource).Field("CableTypeDescription", false).ToString() == "." ||
				  ((XMLDataSource)this.DataSource).Field("CableTypeDescription", false).ToString() == "-1")
					txtCableDescr.Text = "";

				if (Convert.ToInt32(((XMLDataSource)this.DataSource).Field("NameCode", false)) > 13)
					txtSkinnetxt.Text = FebPrintClassLib.Properties.Resources.IDS_LEDERLOSNINGTXT_1;
				else if (Convert.ToInt32(((XMLDataSource)this.DataSource).Field("NameCode", false)) < 14)
					txtSkinnetxt.Text = FebPrintClassLib.Properties.Resources.IDS_LEDERLOSNINGTXT_2;

				//txtCableRefDesVal CableReferenceInstallationMethod   
				if (((XMLDataSource)this.DataSource).Field("CableReferenceInstallationMethod", false).ToString() == "." ||
					((XMLDataSource)this.DataSource).Field("CableReferenceInstallationMethod", false).ToString() == "-1")
					txtCableRefDesVal.Text = "";

				//txtOmgTempVal CableAmbientTemperature
				if (((XMLDataSource)this.DataSource).Field("CableAmbientTemperature", false).ToString() == "." ||
					((XMLDataSource)this.DataSource).Field("CableAmbientTemperature", false).ToString() == "-1")
					txtOmgTempVal.Text = "";
				else
					txtOmgTempVal.Text = String.Format("{0:#0.0} °C",
						Convert.ToDouble(((XMLDataSource)this.DataSource).Field("CableAmbientTemperature", false), CultureInfo.InvariantCulture));


                //txtParalell
                if (((XMLDataSource)this.DataSource).Field("CableNumberOfParallellCircuits", false).ToString() == "." ||
                    ((XMLDataSource)this.DataSource).Field("CableNumberOfParallellCircuits", false).ToString() == "-1")
                    txtParalell.Text = "";
                else
                {
                    //txtParalell.Text = ((XMLDataSource)this.DataSource).Field("CableNumberOfParallellCircuits", false).ToString();
                    if (((XMLDataSource)this.DataSource).Field("CableNumberOfParallellCircuits", false).ToString() == "1" ||
                        ((XMLDataSource)this.DataSource).Field("CableNumberOfParallellCircuits", false).ToString() == "0")
                        txtParalell.Text = FebPrintClassLib.Properties.Resources.IDS_NOPARALELLTXT;
                    else
                        txtParalell.Text = String.Format(FebPrintClassLib.Properties.Resources.IDS_PARALELLTXT, ((XMLDataSource)this.DataSource).Field("CableNumberOfParallellCircuits", false).ToString());
                }
                //txtKableLengthVal CableLength
                if (((XMLDataSource)this.DataSource).Field("CableLength", false).ToString() == "." ||
					((XMLDataSource)this.DataSource).Field("CableLength", false).ToString() == "-1")
					txtKableLengthVal.Text = "";
				else
					txtKableLengthVal.Text = String.Format("{0:#0.0} m",
						Convert.ToDouble(((XMLDataSource)this.DataSource).Field("CableLength", false), CultureInfo.InvariantCulture));

				//txtCableCorrFakt CableCorrectionFactorUserSpecified
				if (((XMLDataSource)this.DataSource).Field("CableCorrectionFactorUserSpecified", false).ToString() == "." ||
					((XMLDataSource)this.DataSource).Field("CableCorrectionFactorUserSpecified", false).ToString() == "-1")
					txtCableCorrFakt.Text = "";

				//txtCablePowLossValue {1CablePowerLossTotal} W 	{2CablePowerLossSpecific} W/m
				string str1 = ((XMLDataSource)this.DataSource).Field("CablePowerLossTotal", false).ToString();
				string str2 = ((XMLDataSource)this.DataSource).Field("CablePowerLossSpecific", false).ToString();
				if (str1 == "." || str1 == "-1")
					str1 = "";
				if (str2 == "." || str2 == "-1")
					str2 = "";
				if (str1 != "")
					txtCablePowLossValue.Text = string.Format("{0:#0.00} W\t{1,10:#0.00} W/m",
						Convert.ToDouble(str1, CultureInfo.InvariantCulture), Convert.ToDouble(str2, CultureInfo.InvariantCulture));

				//txtCurMtrlVal {1CableCurrentCarryingCapacity} A    
				if (((XMLDataSource)this.DataSource).Field("CableCurrentCarryingCapacity", false).ToString() == "." ||
					((XMLDataSource)this.DataSource).Field("CableCurrentCarryingCapacity", false).ToString() == "-1")
					txtCurMtrlVal.Text = "";
				else
				{
					//txtCurMtrlVal.Text = String.Format("{0:#0.00} A",
					//	Convert.ToDouble(((XMLDataSource)this.DataSource).Field("CableCurrentCarryingCapacity", false), CultureInfo.InvariantCulture));
					txtCurMtrlVal.Text = String.Format("{0:#0.00}",
						Convert.ToDouble(((XMLDataSource)this.DataSource).Field("CableCurrentCarryingCapacity", false), CultureInfo.InvariantCulture));
					if (((XMLDataSource)this.DataSource).Field("FullCableCurrentCarryingCapacity", false).ToString() != "." &&
						((XMLDataSource)this.DataSource).Field("FullCableCurrentCarryingCapacity", false).ToString() != "-1")
					{
						txtCurMtrlVal.Text += String.Format(" ({0:#0.00})",
						Convert.ToDouble(((XMLDataSource)this.DataSource).Field("FullCableCurrentCarryingCapacity", false), CultureInfo.InvariantCulture));
					}
					txtCurMtrlVal.Text += " A";
				}

                if (((XMLDataSource)this.DataSource).Field("CableLoadCurrent", false).ToString() == "." ||
                    ((XMLDataSource)this.DataSource).Field("CableLoadCurrent", false).ToString() == "-1")
                {
                    lblLoadCurr.Text = "";
                    txtLoadCurr.Text = "";
                }
                else
                    txtLoadCurr.Text = String.Format("{0:#0.00} A",
                        Convert.ToDouble(((XMLDataSource)this.DataSource).Field("CableLoadCurrent", false), CultureInfo.InvariantCulture));

            }

            shape1.Height = detail.Height;// +CmToInch(0.1f);
		}

		private void Rpt06_Kabel_FetchData(object sender, FetchEventArgs eArgs)
		{
			if (((XMLDataSource)this.DataSource).Field("../CircuitLoad/CircuitLoadType", false).ToString() == "9")
			{
				txtCableRefDes.DataField = "CableReferenceDesignation";

			}
			else
			{
				txtCableRefDes.DataField = "CableTypeDescription";
			}

		}

		private void detail_BeforePrint(object sender, EventArgs e)
		{
			fH = detail.Height;

		}
	}
}
