﻿using System;
using System.Globalization;
using GrapeCity.ActiveReports.Data;


namespace FebPrintClassLib.Rpt6
{
    /// <summary>
    /// Summary description for Rpt06_Trafo.
    /// </summary>
	public partial class Rpt06_Trafo : GrapeCity.ActiveReports.SectionReport
	{
		//CommonItems clItems = null;

		public Rpt06_Trafo()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

            Document.CacheToDisk = true;
            Document.CacheToDiskLocation = System.IO.Path.GetTempPath();

        }

        private void detail_Format(object sender, EventArgs e)
		{

			try
			{
				//txtTrafo
				string strNameType = CommonItems.GetNameCodeTxt(((XMLDataSource)this.DataSource).Field("NameCode", false).ToString());
				txtTrafo.Text = strNameType;

			}
			catch (Exception)
			{


			}

			/*
			//txtUpsRatedVoltagePrimary
			if (((XMLDataSource)this.DataSource).Field("CircuitUPS/UpsRatedVoltagePrimary", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("CircuitUPS/UpsRatedVoltagePrimary", false).ToString() == "-1")
				txtUpsRatedVoltagePrimary.Text = "";
			else
				txtUpsRatedVoltagePrimary.Text = String.Format("{0:#0.0} V",
					Convert.ToDouble(((XMLDataSource)this.DataSource).Field("CircuitUPS/UpsRatedVoltagePrimary", false), CultureInfo.InvariantCulture));
			*/

			//txtTransformerReferenceDesignation
			if (((XMLDataSource)this.DataSource).Field("TransformerReferenceDesignation", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerReferenceDesignation", false).ToString() == "-1")
				txtTransformerReferenceDesignation.Text = "";

			//txtTransformerRatedTotalPower
			if (((XMLDataSource)this.DataSource).Field("TransformerRatedTotalPower", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerRatedTotalPower", false).ToString() == "-1")
				txtTransformerRatedTotalPower.Text = "";
			else
				txtTransformerRatedTotalPower.Text = String.Format("{0:#0.0} kVA",
					Convert.ToDouble(((XMLDataSource)this.DataSource).Field("TransformerRatedTotalPower", false), CultureInfo.InvariantCulture));

			//txtTransformerRatedVoltagePrimary
			if (((XMLDataSource)this.DataSource).Field("TransformerRatedVoltagePrimary", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerRatedVoltagePrimary", false).ToString() == "-1")
				txtTransformerRatedVoltagePrimary.Text = "";
			else
				txtTransformerRatedVoltagePrimary.Text = String.Format("{0:#0.00} V",
					Convert.ToDouble(((XMLDataSource)this.DataSource).Field("TransformerRatedVoltagePrimary", false), CultureInfo.InvariantCulture));

			//txtTransformerRatedVoltageSecondary
			if (((XMLDataSource)this.DataSource).Field("TransformerRatedVoltageSecondary", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerRatedVoltageSecondary", false).ToString() == "-1")
				txtTransformerRatedVoltageSecondary.Text = "";
			else
				txtTransformerRatedVoltageSecondary.Text = String.Format("{0:#0.0} V",
					Convert.ToDouble(((XMLDataSource)this.DataSource).Field("TransformerRatedVoltageSecondary", false), CultureInfo.InvariantCulture));

			//txtTransformerVectorGroup
			if (((XMLDataSource)this.DataSource).Field("TransformerVectorGroup", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerVectorGroup", false).ToString() == "-1")
				txtTransformerVectorGroup.Text = "";

			//txtTransformerShortCircuitVoltageR
			if (((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltageR", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltageR", false).ToString() == "-1")
				txtTransformerShortCircuitVoltageR.Text = "";
			else
				txtTransformerShortCircuitVoltageR.Text = String.Format("{0:#0.0} %",
					Convert.ToDouble(((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltageR", false), CultureInfo.InvariantCulture));

			//txtTransformerShortCircuitVoltageX
			if (((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltageX", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltageX", false).ToString() == "-1")
				txtTransformerShortCircuitVoltageX.Text = "";
			else
				txtTransformerShortCircuitVoltageX.Text = String.Format("{0:#0.0} %",
					Convert.ToDouble(((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltageX", false), CultureInfo.InvariantCulture));

			//txtTransformerShortCircuitVoltage
			if (((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltage", false).ToString() == "." ||
				((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltage", false).ToString() == "-1")
				txtTransformerShortCircuitVoltage.Text = "";
			else
				txtTransformerShortCircuitVoltage.Text = String.Format("{0:#0.0} %",
					Convert.ToDouble(((XMLDataSource)this.DataSource).Field("TransformerShortCircuitVoltage", false), CultureInfo.InvariantCulture));

		}
	}
}
